org.apache.maven.scm.provider.synergy.repository

## Class SynergyScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.synergy.repository.SynergyScmProviderRepository

-     public class SynergyScmProviderRepository
      extends ScmProviderRepository

  Version:
    $Id: SynergyScmProviderRepository.java 894254 2009-12-28 21:55:32Z olamy $
  Author:
    Julien Henry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynergyScmProviderRepository(String url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInstance()`
    `String` | `getProjectName()`
    `String` | `getProjectPurpose()`
    `String` | `getProjectRelease()`
    `String` | `getProjectSpec()`
    `String` | `getProjectVersion()`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynergyScmProviderRepository

          public SynergyScmProviderRepository(String url)
                                       throws ScmRepositoryException

      Parameters:
        `url` - format is project_name|delimiter|project_version|Release|Purpose|instance
      Throws:
        `ScmRepositoryException`

  - ### Method Detail

    - #### getProjectSpec

          public String getProjectSpec()

    - #### getProjectName

          public String getProjectName()

    - #### getProjectVersion

          public String getProjectVersion()

    - #### getProjectPurpose

          public String getProjectPurpose()

      Returns:
        the project_purpose

    - #### getProjectRelease

          public String getProjectRelease()

      Returns:
        the project_release

    - #### getInstance

          public String getInstance()

      Returns:
        the instance

Copyright © 2003–2015. All rights reserved.